local engine = require("#monocle.engine")
local monocle = require("#monocle")
local celeste = require("#celeste")

local pos=820

local function makeCoroutine(func)
  return monocle.Coroutine(lua_helper.LuaCoroutineToIEnumerator(coroutine.create(func)))
end

function onBegin()
  setPlayerState("StReflectionFall")
  endCutscene()
end

function rumble(duration)
  sfx=playSound("event:/game/00_prologue/bridge_rumble_loop")
  shake(down,5000*duration)
  wait(duration)
  celeste.Audio.stop(sfx)
end
  
function onEnd(room, wasSkipped)
end